﻿function openAsLayer(filePath){
  const activeDoc = app.activeDocument;
  const newLayer = app.open(new File(filePath)).artLayers[0];
  newLayer.duplicate(activeDoc);
  app.activeDocument.close();
  activeDoc.activeLayer.name = filePath.substr(filePath.lastIndexOf('/') + 1);
}

function openAsDocument(filePath) {
  app.open(new File(filePath));
}

function getActiveDocument() {
    const activeDoc = app.activeDocument;
    return activeDoc.fullName + '--filerobot--' + activeDoc.name;
}